### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-table/ecl-table.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

Selector | `[eclTableHeader]`

### Index

###### Properties

- sortOrder

###### Methods

- onClick
- removeAriaSort
- getCssClasses

###### Inputs

- eclSortable
- class
- e2eAttr

###### Outputs

- sort

###### HostBindings

- attr.aria-sort
- class

###### HostListeners

- click

###### Accessors

- cssClasses

### Constructor

`constructor(el: ElementRef, viewContainerRef: ViewContainerRef)`

Parameters :

Name | Type | Optional
el | `ElementRef` | No
viewContainerRef | `ViewContainerRef` | No

### Inputs

eclSortable
Type : `string`
Default value : `null`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

sort
Type : `EventEmitter`

### HostBindings

attr.aria-sort
Type : `SortOrder`
Default value : `null`

class
Type : `any`

### HostListeners

click

### Methods

onClick
`onClick(evt)`
Decorators : `@HostListener('click')`

Parameters :

Name | Optional
evt | No

Returns : `void`

removeAriaSort
`removeAriaSort()`
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

sortOrder
Type : `SortOrder`
Default value : `null`
Decorators : `@HostBinding('attr.aria-sort')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""